;;
;; brmsaptool.scm
;;
;; Brmlab members management tool.
;;
;; ISC License
;;
;; Copyright 2023 Brmlab, z.s.
;; Dominik Pantůček <dominik.pantucek@trustica.cz>
;;
;; Permission to use, copy, modify, and/or distribute this software
;; for any purpose with or without fee is hereby granted, provided
;; that the above copyright notice and this permission notice appear
;; in all copies.
;; 
;; THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL
;; WARRANTIES WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED
;; WARRANTIES OF MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE
;; AUTHOR BE LIABLE FOR ANY SPECIAL, DIRECT, INDIRECT, OR
;; CONSEQUENTIAL DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS
;; OF USE, DATA OR PROFITS, WHETHER IN AN ACTION OF CONTRACT,
;; NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN
;; CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
;;

(import testing
	listing
	dictionary
	month
	period
	member-file
	command-line
	ansi)

;; Print banner
(print "brmsaptool 0.2 (c) 2023 Brmlab, z.s.")
(newline)

;; Run tests
(listing-tests!)
(dictionary-tests!)
(month-tests!)
(period-tests!)
(ansi-tests!)
(member-file-tests!)
(command-line-tests!)
(newline)

(command-line
 print-help
 (-h "This help" ()
     (print "Command-line options:")
     (print-help)
     (exit 0))
 (-a "One-argument" (x) (print "Argument x " x))
 (-b "Two arguments" (x y) (print "Arguments " x y))
 (-c "Argument lambda" (lambda (x) (print "Lambda x " x))))
